Subject: Re: [PATCH] net: phy: at803x: select correct page on initialization

From: Andrew Lunn <[email-masked]>
Date: Mon, 23 Mar 2020 17:53:45 +0100

On Mon, Mar 23, 2020 at 05:27:30PM +0100, David Bauer wrote:
> The Atheros AR8031 and AR8033 expose different registers for SGMII/Fiber
> as well as the copper side of the PHY depending on the BT_BX_REG_SEL bit
> in the chip configure register.
> 
> The driver assumes the copper side is selected on probe, but this might
> not be the case depending which page was last selected by the
> bootloader.
> 
> Select the copper page when initializing the configuration to circumvent
> this.

Hi David

You might want to look at phy_read_paged(), phy_write_paged(), etc,
depending on your needs. There can be locking issues, which these
functions address.

	  Andrew